org.hibernate.search.store.impl

## Class DefaultDirectoryProviderService

- java.lang.Object
- - org.hibernate.search.store.spi.BaseDirectoryProviderService
  - - org.hibernate.search.store.impl.DefaultDirectoryProviderService

- All Implemented Interfaces:
    DirectoryProviderService, Service

      public class DefaultDirectoryProviderService
      extends BaseDirectoryProviderService

  Default `DefaultDirectoryProviderService`
  Author:
    gustavonalle

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.store.spi.BaseDirectoryProviderService

      `defaultProviderClasses`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDirectoryProviderService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends DirectoryProvider>` | `getDefault()` Default `DirectoryProvider` to be used if none is configured by the user
    `String` | `toFullyQualifiedClassName(String name)` Resolve short names into implementation names

    - ### Methods inherited from class org.hibernate.search.store.spi.BaseDirectoryProviderService

      `create, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDirectoryProviderService

          public DefaultDirectoryProviderService()

  - ### Method Detail

    - #### getDefault

          public Class<? extends DirectoryProvider> getDefault()

      Description copied from interface: `DirectoryProviderService`
      Default `DirectoryProvider` to be used if none is configured by the user
      Returns:
        the default `DirectoryProvider`

    - #### toFullyQualifiedClassName

          public String toFullyQualifiedClassName(String name)

      Description copied from interface: `DirectoryProviderService`
      Resolve short names into implementation names
      Parameters:
        `name` - the short name of the directory provider
      Returns:
        the fully qualified class name of the directory provider identified by the shortcut

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved